#version 330

uniform sampler2DRect inputTex;
uniform float speed;
uniform float uGlobalTime;


layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;

out vec2 fsTexture;
out vec2 fsPosition;
out vec2 fsTextureSize;
out float fsTime;
out float iGlobalTime;

void main()
{
	gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
	fsTexture = vsTexture;
    fsPosition=vsPosition.xy;

    ivec2 textureSize2d = textureSize(inputTex);
    fsTextureSize.x=float(textureSize2d.x);
    fsTextureSize.y=float(textureSize2d.y);
    
    fsTime=fract(speed*uGlobalTime);
    iGlobalTime=uGlobalTime;
}
